Bug 9278 - На дворе уже версия 2.8
: На дворе уже версия 2.8
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/graphviz)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 14416
  Show dependency tree
 
Reported: 2006-03-20 01:09 by
Modified: 2008-03-23 17:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-20 01:09:10
Было бы неплохо иметь новую версию, хотя бы 2.6, а лучше 2.8
------- Comment #1 From 2006-07-18 23:33:21 -------
новому майнтайнеру
------- Comment #2 From 2006-09-19 21:06:18 -------
я взялся подновить пакет, скоро будет  
------- Comment #3 From 2007-12-14 13:36:53 -------
(In reply to comment #2)
> я взялся подновить пакет, скоро будет  

Что слышно? Судя по http://en.wikipedia.org/wiki/Graphviz текущая версия -- 2.14
------- Comment #4 From 2008-02-13 14:50:50 -------
2.16, и уже вылазит...

Попробую взяться, что ли.
------- Comment #5 From 2008-02-14 06:17:13 -------
Я собрал 2.16.1 и отправил в Daedalus; также исправляет #14416.
Сборка, вообще говоря, довольно чреватая:

* Thu Feb 14 2008 Michael Shigorin <mike@altlinux> 2.16.1-alt1
- 2.16.1 (#9278)
  + removed patches
  + dotneato-config disappeared
  + tcl bindings well might have broke: moved to /usr/lib/graphviz//tcl/
- tossed in parts of Debian 2.16-3 and PLD 2.14.1-2 packages
  + added lua, perl, python, ruby bindings (could mispackage)
  + didn't add guile, java, ocaml, php, C# bindings yet
- moved /usr/share/doc/graphviz to /usr/share/doc/graphviz-2.16.1
- despammed descriptions
- spec macro abuse cleanup

...но хорошо бы её проверить тем, кто пользовался тиклёвыми привязками.

И кому-нить влить в сизиф.

2 mithraen: тут gear-srpmimport и после git revert
1f6de1d36fd8ad549819143425e82a64e040565f по твоему репо не справился, а мне уже
слабо %)  Если совсем нечего делать, можешь попробовать втянуть.
------- Comment #6 From 2008-02-27 14:47:39 -------
2 lioka: можешь посмотреть дедальный пакет на предмет мёртвости tcl bindings? 
Есть подозрение, что в процессе перелопачивания апстримом и мной могло выйти
нехорошо.

Я уже настаиваю на выдачу NMU/ACL на залитие обновлённого пакета в сизиф.
------- Comment #7 From 2008-03-12 10:43:12 -------
В сизифе 2.16.1, которое надо теперь починить по части language bindings.  Но
dotty работает. :)